#region Copyright (C) 1998-2009 Autumoon Lab, all rights reserved.
/* *************************************************************
 * Solution:    Autumoon Code Library - Standard Edition
 * 
 * Project:     Common Foundation
 * 
 * Description: The data class of Code.
 * 
 * Auther:      ZeroCool.
 * 
 * Date:        March 23, 2008.
 * 
 * Copyright (C) 1998-2009 Autumoon Lab, all rights reserved.
 * ************************************************************/
#endregion

#region References
using System;
#endregion

namespace Autumoon.CodeLibrary.CommonFoundation
{
    /// <summary>
    /// This is just a data class.
    /// </summary>
    public class CodeSnippetProperty
    {
        // Properties and fields.
        #region Properties and fields
        public string Name { get; set; }
        public string Function { get; set; }
        public string Language { get; set; }
        public string Summary { get; set; }
        public string Code { get; set; }
        #endregion

        // Constructors.
        #region Constructors
        /// <summary>
        /// Default constructor.
        /// </summary>
        public CodeSnippetProperty()
        {
        }

        /// <summary>
        /// Custom constructor.
        /// </summary>
        /// <param name="name">The name.</param>
        /// <param name="function">The function.</param>
        /// <param name="language">The language.</param>
        /// <param name="summary">The summary.</param>
        /// <param name="code">The code content.</param>
        public CodeSnippetProperty(string name, string function, string language, string summary, string code)
            : this()
        {
            this.Name = name;
            this.Function = function;
            this.Language = language;
            this.Summary = summary;
            this.Code = code;
        }
        #endregion
    }
}