#region Copyright (C) 1998-2009 Autumoon Lab, all rights reserved.
/* *************************************************************
 * Solution:    Autumoon Code Library - Standard Edition
 * 
 * Project:     Common Foundation
 * 
 * Description: The data class of register.
 * 
 * Auther:      ZeroCool.
 * 
 * Date:        March 23, 2008.
 * 
 * Copyright (C) 1998-2009 Autumoon Lab, all rights reserved.
 * ************************************************************/
#endregion

#region References
using System;
#endregion

namespace Autumoon.CodeLibrary.CommonFoundation
{
    /// <summary>
    /// This is just a data class.
    /// </summary>
    public class RegisterProperty
    {
        #region Properties and fields
        public string MachineName { get; set; }
        public string UserName { get; set; }
        public string IPAddress { get; set; }
        #endregion

        #region Constructors
        /// <summary>
        /// Default constructor.
        /// </summary>
        public RegisterProperty()
        {
        }

        /// <summary>
        /// Custom constructor.
        /// </summary>
        /// <param name="machineName">The machine's name.</param>
        /// <param name="userName">The user's name.</param>
        /// <param name="ipAddress">The ip address.</param>
        public RegisterProperty(string machineName, string userName, string ipAddress)
            : this()
        {
            this.MachineName = machineName;
            this.UserName = userName;
            this.IPAddress = ipAddress;
        }
        #endregion
    }
}